<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		.contenedor{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows:repeat(3,1fr);
		}
		.contenedor>div{
			border: solid black 1px;
			min-height: 50px;

		}
		.contenedor>div:nth-child(1){
			/*grid-row-start, grid-column-start, grid-row-end, -ms-grid-column-end: em;
			grid-column-end: em;*/
			grid-area: 1/1/2/5;
			background-color: blue;
		}
		.contenedor>div:nth-child(2){
			grid-area: 2/1/3/2;
			background-color: red;
		}
		.contenedor>div:nth-child(3){
			grid-area: 2/2/3/4;
			background-color: green;
		}
		.contenedor>div:nth-child(4){
			grid-area: 2/4/3/5;
			background-color: yellow;
		}
		.contenedor>div:nth-child(5){
			grid-area: 3/1/4/5;
			background-color: aqua;
		}
		#elFlex{
			display: flex;
			justify-content: space-around;
			align-items: center;

		}
		#elFlex>div{
			height: 80%;
			width: 20%;
			background-color: maroon;

		}
	</style>
</head>
<body>
	<div class="contenedor">
		<div>Header</div>
		<div>Left SideBar</div>
		<div>Main content</div>
		<div>Rigth SideBar</div>
		<div id="elFlex">
			<div>Footer 1</div>
			<div>Footer 2</div>
			<div>Footer 3</div>
			<div>Footer 4</div>
		</div>
	</div>
</body>
</html>